Bug 845643 - Review Request: katello-agent - The Katello Agent
Review Request: katello-agent - The Katello Agent
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukas Zapletal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 13:32 EDT by Miroslav Suchý
Modified: 2012-09-17 19:01 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-01 20:25:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lzap: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2012-08-03 13:32:09 EDT
Spec URL: http://miroslav.suchy.cz/fedora/katello-agent/katello-agent.spec
SRPM URL: http://miroslav.suchy.cz/fedora/katello-agent/katello-agent-1.0.6-1.fc17.src.rpm
Description: Provides plugin for gofer, which allows communicating with Katello server and execute scheduled actions.
Fedora Account System Username: msuchy

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4355353

rpmlint output:
$ rpmlint katello-agent-1.0.6-1.fc17.noarch.rpm katello-agent-1.0.6-1.fc17.src.rpm
katello-agent.noarch: W: only-non-binary-in-usr-lib
katello-agent.src:31: E: hardcoded-library-path in %{_prefix}/lib/gofer/plugins
katello-agent.src:34: E: hardcoded-library-path in %{_prefix}/lib/gofer/plugins
katello-agent.src:38: E: hardcoded-library-path in %{_prefix}/lib/gofer/plugins/katelloplugin.*
2 packages and 0 specfiles checked; 3 errors, 1 warnings.

This is nothing I can do about. Gofer expect plugins in this directories and not in /usr/share/gofer. I tried to comunicate about it with maintainers of gofer, but they hesitate to do the change.
Comment 1 Miroslav Suchý 2012-08-03 14:12:33 EDT
Additional note: I have there buildroot and %clean as I want to target epel5 as well.
Comment 2 Michael Scherer 2012-08-04 03:07:19 EDT
What they could do is to have more than 1 directory to load plugins, that would break nothing, allow to respect FHS, permit to place plugin in /usr/local later f needed ( another part of the FHS ), and should be rather straightfoward to implement ?
Comment 3 Miroslav Suchý 2012-08-04 12:15:34 EDT
Yes, I agree. But gofer maintainers hesitate. I tried, but I gave up. Now I just follow what gofer expect.
Comment 4 Lukas Zapletal 2012-08-24 09:14:01 EDT
Review checklist, last updated 2012-02-07
Based on https://fedoraproject.org/wiki/Packaging:ReviewGuidelines
Key: [X] passed, [F] failed, [-] irrelevant

[x] MUST: rpmlint must be run on the source rpm and all binary rpms the build
    produces. The output should be posted in the review.
[x] MUST: The package must be named according to the Package Naming Guidelines.
[x] MUST: The spec file name must match the base package %{name}, in the format
    %{name}.spec unless your package has an exemption.
[x] MUST: The package must meet the Packaging Guidelines.
[x] MUST: The package must be licensed with a Fedora approved license and meet
    the Licensing Guidelines.
[x] MUST: The License field in the package spec file must match the actual
    license. 
[x] MUST: If (and only if) the source package includes the text of the
    license(s) in its own file, then that file, containing the text of the
    license(s) for the package must be included in %doc.
[x] MUST: The spec file must be written in American English. 
[x] MUST: The spec file for the package MUST be legible. 
[x] MUST: The sources used to build the package must match the upstream source,
    as provided in the spec URL. Reviewers should use md5sum for this task. If
    no upstream URL can be specified for this package, please see the Source
    URL Guidelines for how to deal with this.
[x] MUST: The package MUST successfully compile and build into binary rpms on
    at least one primary architecture. 
[-] MUST: If the package does not successfully compile, build or work on an
    architecture, then those architectures should be listed in the spec in
    ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed
    in bugzilla, describing the reason that the package does not
    compile/build/work on that architecture. The bug number MUST be placed in a
    comment, next to the corresponding ExcludeArch line. 
[x] MUST: All build dependencies must be listed in BuildRequires, except for
    any that are listed in the exceptions section of the Packaging Guidelines;
    inclusion of those as BuildRequires is optional. Apply common sense.
[-] MUST: The spec file MUST handle locales properly. This is done by using the
    %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[-] MUST: Every binary RPM package (or subpackage) which stores shared library
    files (not just symlinks) in any of the dynamic linker's default paths,
    must call ldconfig in %post and %postun. 
[x] MUST: Packages must NOT bundle copies of system libraries.
[x] MUST: If the package is designed to be relocatable, the packager must state
    this fact in the request for review, along with the rationalization for
    relocation of that specific package. Without this, use of Prefix: /usr is
    considered a blocker. 
[x] MUST: A package must own all directories that it creates. If it does not
    create a directory that it uses, then it should require a package which
    does create that directory. 
[x] MUST: A Fedora package must not list a file more than once in the spec
    file's %files listings. (Notable exception: license texts in specific
    situations)
[x] MUST: Permissions on files must be set properly. Executables should be set
    with executable permissions, for example. 
[F] MUST: Each package must consistently use macros. 
[x] MUST: The package must contain code, or permissable content. 
[-] MUST: Large documentation files must go in a -doc subpackage. (The
    definition of large is left up to the packager's best judgement, but is not
    restricted to size. Large can refer to either size or quantity). 
[-] MUST: If a package includes something as %doc, it must not affect the
    runtime of the application. To summarize: If it is in %doc, the program
    must run properly if it is not present. 
[-] MUST: Static libraries must be in a -static package. 
[-] MUST: Development files must be in a -devel package. 
[-] MUST: In the vast majority of cases, devel packages must require the base
    package using a fully versioned dependency:
       Requires: %{name}%{?_isa} = %{version}-%{release} 
[-] MUST: Packages must NOT contain any .la libtool archives, these must be
    removed in the spec if they are built.
[-] MUST: Packages containing GUI applications must include a %{name}.desktop
    file, and that file must be properly installed with desktop-file-install in
    the %install section. If you feel that your packaged GUI application does
    not need a .desktop file, you must put a comment in the spec file with your
    explanation. 
[x] MUST: Packages must not own files or directories already owned by other
    packages. The rule of thumb here is that the first package to be installed
    should own the files or directories that other packages may rely upon. This
    means, for example, that no package in Fedora should ever share ownership
    with any of the files or directories owned by the filesystem or man
    package. If you feel that you have a good reason to own a file or directory
    that another package owns, then please present that at package review time. 
[x] MUST: All filenames in rpm packages must be valid UTF-8. 
[-] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream to include
    it. 
[x] SHOULD: The description and summary sections in the package spec file
    should contain translations for supported Non-English languages, if
    available. 
[x] SHOULD: The reviewer should test that the package builds in mock. 
[x] SHOULD: The package should compile and build into binary rpms on all
    supported architectures. 
[x] SHOULD: The reviewer should test that the package functions as described. A
    package should not segfault instead of running, for example.
[-] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
    vague, and left up to the reviewers judgement to determine sanity. 
[-] SHOULD: Usually, subpackages other than devel should require the base
    package using a fully versioned dependency. 
[-] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
    this is usually for development purposes, so should be placed in a -devel
    pkg. A reasonable exception is that the main pkg itself is a devel tool not
    installed in a user runtime, e.g. gcc or gdb. 
[-] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
    /usr/bin, or /usr/sbin consider requiring the package which provides the
    file instead of the file itself. 
[-] SHOULD: your package should contain man pages for binaries/scripts. If it
    doesn't, work with upstream to add them where they make sense.

Only one issue: RPM_BUILD_ROOT vs buildroot. Minor issue, please fix on the next  rebuild. Tha package is 

>>> APPROVED <<<
Comment 5 Miroslav Suchý 2012-08-24 09:17:09 EDT
New Package SCM Request
=======================
Package Name: katello-agent
Short Description: The Katello Agent
Owners: msuchy
Branches: F-18, F-17, F-16, EL-6
InitialCC:
Comment 6 Gwyn Ciesla 2012-08-24 15:15:25 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-08-24 16:46:45 EDT
katello-agent-1.1.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/katello-agent-1.1.2-1.fc18
Comment 8 Fedora Update System 2012-08-24 16:48:41 EDT
katello-agent-1.1.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/katello-agent-1.1.2-1.fc17
Comment 9 Fedora Update System 2012-08-24 16:54:23 EDT
katello-agent-1.1.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/katello-agent-1.1.2-1.fc16
Comment 10 Fedora Update System 2012-08-24 17:01:31 EDT
katello-agent-1.1.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/katello-agent-1.1.2-1.el6
Comment 11 Fedora Update System 2012-08-24 17:34:56 EDT
katello-agent-1.1.2-1.fc18 has been pushed to the Fedora 18 testing repository.
Comment 12 Fedora Update System 2012-09-01 20:25:47 EDT
katello-agent-1.1.2-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-09-01 20:27:31 EDT
katello-agent-1.1.2-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-09-09 14:34:09 EDT
katello-agent-1.1.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 15 Fedora Update System 2012-09-17 19:01:18 EDT
katello-agent-1.1.2-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.